Loading...
Searching...
No Matches
caf::unbox_message_element< T, IsPlaceholderRes > Struct Template Reference

Unboxes atom constants, i.e., converts atom_constant<V> to V. More...

`#include <make_message.hpp>`

## Public Types

using | type = index_mapping

## Detailed Description

template<class T, int IsPlaceholderRes = std::is_placeholder<T>::value>
struct caf::unbox_message_element< T, IsPlaceholderRes >

Unboxes atom constants, i.e., converts atom_constant<V> to V.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/make_message.hpp